/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.
   
   ### File Specific:
   main-programmer: Benjamin Wuest
   co-programmer: ...
*/

/* this is for debug output. It just says, that all calls to PRINT() belong to the DEBUG_MODULE_NETWORK module
   For more information refere to https://www.orxonox.net/cgi-bin/trac.cgi/wiki/DebugOutput
*/
#define DEBUG_MODULE_NETWORK

//#include ...

/* include my own header */
#include "network_protocol.h"

/* include this file, it contains some default definitions */
#include "netdefs.h"

/* using namespace std is default, this needs to be here */
using namespace std;





















/**
  standard constructor
*/
NetworkProtocol::NetworkProtocol()
{
  /* set the class id for the base object */
  this->setClassID(CL_NETWORK_PROTOCOL, "NetworkProtocol");
}

/**
  standard destructor
*/
NetworkProtocol::~NetworkProtocol()
{}

/**

*/
void NetworkProtocol::writeDataField( /* Attribute: Any*/ )
{
}
